
QGIS Application - Bug report #18415

Crash when removing a attribute column

2018-03-12 11:17 AM - Hannah Berger

Status: Closed

Priority: Normal

Assignee:

Category: Editing

Affected QGIS version:3.0.0 Regression?: Yes

Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 26304

Description

User Feedback

Report Details

Crash ID: 5d8bfa267bdc59795d307070959b382f1cdbc871

Stack Trace

QgsField::QgsField :

QgsFields::operator[] :

QgsAttributeForm::updateJoinedFields :

QgsAttributeForm::onAttributeChanged :

QMetaObject::activate :

QgsEditorWidgetWrapper::valueChanged :

QgsTextEditWrapper::createWidget :

QMetaObject::activate :

QLineEdit::qt_static_metacall :

QMetaObject::activate :

QWidgetLineControl::finishChange :

QWidgetLineControl::internalSetText :

QgsTextEditWrapper::setWidgetValue :

QgsEditorWidgetWrapper::setFeature :

QgsAttributeForm::resetValues :

QgsAttributeForm::setFeature :

QgsDualView::mFeatureList_currentEditSelectionChanged :

QMetaObject::activate :

QgsFeatureListView::currentEditSelectionChanged :

QgsFeatureListView::editSelectionChanged :

QMetaObject::activate :

QItemSelectionModel::emitSelectionChanged :

QItemSelectionModel::select :

QItemSelectionModel::select :

QgsFeatureListView::ensureEditSelection :

QMetaObject::activate :

QAbstractItemModel::modelReset :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QSortFilterProxyModel::`default constructor closure' :

QMetaObject::activate :

QAbstractItemModel::endResetModel :

QgsAttributeTableModel::loadLayer :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QMetaObject::activate :

QMetaObject::activate :

QgsVectorLayer::updateFields :

QgsVectorLayerUndoCommandDeleteAttribute::redo :
QUndoStack::push :

QgsVectorLayerEditBuffer::deleteAttribute :

QgsVectorLayer::deleteAttribute :

QgsVectorLayer::deleteAttributes :

QgsAttributeTableDialog::mActionRemoveAttribute_triggered :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: commit:001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-03-14 08:23 AM - Jürgen Fischer

- Subject changed from Absturz beim Löschen einer Attributspalte to Crash when removing a attribute column

#2 - 2018-09-16 04:45 PM - Alessandro Pasotti

- Status changed from Open to Feedback

I believe this was fixed in 3.2 can you please test the latest nightlies and confirm?

#3 - 2018-11-11 04:34 AM - Jürgen Fischer
- Resolution set to no timely feedback

- Status changed from Feedback to Closed
